# default rules
homepage:
  url:   /
  param: { module: homepage, action: index }
  
 
 
########  
#SEGMENT EDITOR
########  
editor:
  url:   /editeur/:ref/:film_slug
  param: { module: editor, action: index }
  requirements: {ref: \d+}
  
addFilmSegment:
  url: /segments/:ref/:film_slug/ajout-segment
  param: { module: editor, action: addFilmSegment}
  requirements: {ref: \d+}
  
segmentListJson:
  url: /segments/:ref/:film_slug/list-segment
  param: { module: editor, action: segmentListJson}
  requirements: {ref: \d+}
  


  
########
# SEARCH
########

search:
  url: /recherche/:filter/:page_nb
  param: { module: search, action: viewSearchList, filter: all, page_nb: 1 }
  requirements: { page_nb: \d+ }
  
  
  
    
default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*